Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossJ2EEManagedObject

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject

All Implemented Interfaces:
  management.J2EEManagedObject, java.io.Serializable

Direct Known Subclasses:
  JBossEntityBean, JBossIpAddress, JBossJ2EEModule, JBossJ2EEResource, JBossJDBCConnectionPool, JBossJDBCDriver, JBossJVM, JBossMessageDrivenBean, JBossNode, JBossPort, JBossStatefulSessionBean, JBossStatelessSessionBean

public abstract synchronized class JBossJ2EEManagedObject
extends java.lang.Object
implements management.J2EEManagedObject, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`JBossJ2EEManagedObject(java.lang.String)`

Method Summary
`java.lang.String` | `getName()`
`boolean` | `hasStatistics()`
`boolean` | `isStateManageable()`
`void` | `setName(java.lang.String)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossJ2EEManagedObject

    public JBossJ2EEManagedObject(java.lang.String)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `management.J2EEManagedObject`

### hasStatistics

    public boolean hasStatistics()

  Specified by:
    `hasStatistics` in interface `management.J2EEManagedObject`

### isStateManageable

    public boolean isStateManageable()

  Specified by:
    `isStateManageable` in interface `management.J2EEManagedObject`

### setName

    public void setName(java.lang.String)
                 throws java.security.InvalidParameterException

  Specified by:
    `setName` in interface `management.J2EEManagedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.